using CsvHelper.Configuration.Attributes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ArtikelUpdateOpencart.Import.Models
{
    public class BluestarArtikel
    {
        [Index(0)]
        public string SKU { get; set; } = string.Empty;
        [Index(1)]
        public string LongDescription { get; set; } = string.Empty;
        [Index(2)]
        public string ManufacturerName { get; set; } = string.Empty;
        [Index(3)]
        public string Blank1 { get; set; } = string.Empty;
        [Index(4)]
        public string ItemCategory { get; set; } = string.Empty;
        [Index(5)]
        public string ProductGroup { get; set; } = string.Empty;
        [Index(6)]
        public string Blank2 { get; set; } = string.Empty;
        [Index(7)]
        public string SalesUnitOfMeasure { get; set; } = string.Empty;
        [Index(8)]
        public int QtyPerUnitOfMeasure { get; set; }
        [Index(9)]
        public decimal MinimumSaleQty { get; set; }
        [Index(10)]
        public decimal VPE { get; set; }
        [Index(11)]
        public string SerializedItem { get; set; } = string.Empty;
        [Index(12)]
        public string Blank3 { get; set; } = string.Empty;
        [Index(13)]
        public decimal ListPrice { get; set; }
        [Index(14)]
        public string TariffNo { get; set; } = string.Empty;
        [Index(15)]
        public string OriginCountry { get; set; } = string.Empty;
        [Index(16)]
        public string DangerousGoods { get; set; } = string.Empty;
        [Index(17)]
        public decimal Length { get; set; }
        [Index(18)]
        public decimal Width { get; set; }
        [Index(19)]
        public decimal Height { get; set; }
        [Index(20)]
        public decimal GrossWeight { get; set; }
        [Index(21)]
        public string Blank4 { get; set; } = string.Empty;
        [Index(22)]
        public string Blank5 { get; set; } = string.Empty;

    }
}
